using System;
using System.Drawing;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace TD.SandDock
{
	internal class l : Form
	{
		private const int m_a = 2;

		private const int b = 524288;

		private const int c = 16;

		private const int d = 64;

		private const int e = 2;

		private const int f = 1;

		private bool g = false;

		[DllImport("user32.dll")]
		private static extern bool SetWindowPos(HandleRef A_0, HandleRef A_1, int A_2, int A_3, int A_4, int A_5, int A_6);

		[DllImport("user32.dll", CharSet = CharSet.Auto, ExactSpelling = true, SetLastError = true)]
		private static extern bool SetLayeredWindowAttributes(IntPtr A_0, int A_1, byte A_2, int A_3);

		public l(bool A_0)
		{
			g = A_0;
			BackColor = SystemColors.Highlight;
			base.ShowInTaskbar = false;
		}

		public void a(Rectangle A_0, bool A_1)
		{
			SetWindowPos(new HandleRef(this, base.Handle), new HandleRef(this, IntPtr.Zero), A_0.X, A_0.Y, A_0.Width, A_0.Height, 80);
		}

		protected override void a(PaintEventArgs A_0)
		{
			OnPaint(A_0);
			if (g)
			{
				Rectangle clientRectangle = base.ClientRectangle;
				clientRectangle.Width--;
				clientRectangle.Height--;
				A_0.Graphics.DrawRectangle(SystemPens.ControlDark, clientRectangle);
				clientRectangle.Inflate(-1, -1);
				A_0.Graphics.DrawRectangle(SystemPens.ControlDark, clientRectangle);
			}
		}

		protected override void a(EventArgs A_0)
		{
			OnHandleCreated(A_0);
			SetLayeredWindowAttributes(base.Handle, 0, 128, 2);
		}

		[SpecialName]
		protected override CreateParams a()
		{
			CreateParams createParams = base.CreateParams;
			createParams.Style = int.MinValue;
			createParams.ExStyle |= 524288;
			return createParams;
		}
	}
}
